package com.brilliance.isc.funds.fxtsss.check;

import com.brilliance.isc.common.transaction.newcheck.AbstractModuleValidator;
import com.brilliance.isc.funds.bo.funds.FxtsssStoreBo;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.HashMap;
import java.util.Map;

/**
 * @program: isc-funds
 * @ClassName: FxtsssValidator
 * @description: 即期售汇 Fxtsss 校验
 * @author: huangshunlin
 * @create: 2024-10-08 15:38
 */
@Component
public class FxtsssValidator extends AbstractModuleValidator<FxtsssStoreBo> {


    @Override
    @PostConstruct
    public void register() {
        super.register();
    }

    @Override
    public Map<String, String> validate(FxtsssStoreBo vo) {
        Map<String, String> maps = new HashMap<>();
        maps.putAll(super.validate(vo));
        return maps;
    }


}
