package com.brilliance.isc.funds.fxtlop.check;

import com.brilliance.isc.common.transaction.newcheck.AbstractModuleValidator;
import com.brilliance.isc.funds.bo.funds.FxtlopStoreBo;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import java.util.HashMap;
import java.util.Map;

/**
 * @program: isc-funds
 * @ClassName: FxtlopValidator
 * @description: 结售汇平盘登记 Fxtlop 校验
 * @author: wangweidong
 * @create: 2024-10-08 16:42
 */
@Component
public class FxtlopValidator extends AbstractModuleValidator<FxtlopStoreBo> {


    @Override
    @PostConstruct
    public void register() {
        super.register();
    }

    @Override
    public Map<String, String> validate(FxtlopStoreBo vo) {
        Map<String, String> maps = new HashMap<>();
        maps.putAll(super.validate(vo));
        return maps;
    }


}
