package com.brilliance.isc.funds.fxtssb.resource;

import com.brilliance.isc.common.transaction.controller.AbstractTransactionController;
import com.brilliance.isc.funds.transfer.transaction.FxtssbStructMapper;
import com.brilliance.isc.funds.vo.funds.FxtssbStoreVo;
import com.brilliance.isc.transfer.IStructMapper;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @program: isc-funds
 * @ClassName: FxtssbResource
 * @description: 即期结汇 Fxtssb 请求入口
 * @author: huangshunlin
 * @create: 2024-10-08 15:34
 */
@RestController
@RequestMapping("/fxtssb")
@Api("即期结汇")
public class FxtssbResource extends AbstractTransactionController<FxtssbStoreVo> {

    @Resource
    private FxtssbStructMapper fxtssbStructMapper;

    public IStructMapper getStructMapper() {
        return fxtssbStructMapper;
    }


}
