package com.brilliance.isc.funds.fxtsss.service;

import com.brilliance.isc.common.contants.CommonContants;
import com.brilliance.isc.common.transaction.AbstractTransactionService;
import com.brilliance.isc.common.vo.BizAmdInfoVo;
import com.brilliance.isc.common.vo.BizInfoVo;
import com.brilliance.isc.funds.bo.funds.FxtsssStoreBo;
import com.brilliance.isc.funds.fxtsss.check.FxtsssValidator;
import org.springframework.stereotype.Service;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import java.util.Map;

/**
 * @program: isc-funds
 * @ClassName: FxtsssTransactionServiceImpl
 * @description: 即期售汇 Fxtsss 业务处理
 * @author: huangshunlin
 * @create: 2024-10-08 15:35
 */
@Service("fxtsss.transaction")
public class FxtsssTransactionServiceImpl extends AbstractTransactionService<FxtsssStoreBo> {

    @Resource
    private FxtsssValidator fxtsssValidator;


    @PostConstruct
    public void regisertService() {
        serviceRegisterMaps.put(CommonContants.SETMOD_SERVICE, "Y");
        serviceRegisterMaps.put(CommonContants.TRNDOC_SERVICE, "Y");
        serviceRegisterMaps.put(CommonContants.GLEMOD_SERVICE, "Y");
        serviceRegisterMaps.put(CommonContants.TRNDIA_SERVICE, "Y");
        serviceRegisterMaps.put(CommonContants.TRNMOD_SERVICE, "Y");
        serviceRegisterMaps.put(CommonContants.UMDMOD_SERVICE, "N");
        serviceRegisterMaps.put(CommonContants.LIMMOD_SERVICE, "Y");
        serviceRegisterMaps.put(CommonContants.BOPSET_RMB_SERVICE, "Y");
        serviceRegisterMaps.put(CommonContants.BOPSET_SZSB_BOPREM_SERVICE, "Y");
        serviceRegisterMaps.put(CommonContants.BOPSET_CFABOP_SERVICE, "Y");
        serviceRegisterMaps.put(CommonContants.FANXIQIAN_SERVICE, "Y");
    }


    @Override
    protected void txnSave(FxtsssStoreBo transactionVo) {
        ruleMtabutSavN500(transactionVo);
    }

    public void ruleMtabutSavN500(FxtsssStoreBo bo) {
    }

    @Override
    protected Map<String, String> txnCheck(FxtsssStoreBo transactionVo) {
        return fxtsssValidator.validate(transactionVo);
    }

    @Override
    protected BizInfoVo buildBizInfo(FxtsssStoreBo transactionVo) {

        return null;
    }

    @Override
    protected BizAmdInfoVo buildBizAmdInfo(FxtsssStoreBo transactionVo) {
        return null;
    }

    @Override
    public FxtsssStoreBo init(FxtsssStoreBo fxtsssStoreBo) {
        fxtsssStoreBo.reset();

        return fxtsssStoreBo;
    }

    @Override
    public void beforeSave(FxtsssStoreBo transactionVo) {
        transactionVo.reset();

    }

    @Override
    protected void updateBizInfoVo(BizInfoVo bizInfoVo, FxtsssStoreBo transactionVo) {
    }


}
